<?php

/**
 * We use the PEAR PHP Mail Queue class
 */
$path = $config['basedir'].'/lib';
set_include_path(get_include_path() . PATH_SEPARATOR . $path);

require_once "Mail/Queue.php";

$mail_queue =& new Mail_Queue(array('type'=>'db',
				    'dsn'=>$config['db'],
				    'mail_table'=>'mail_queue',
				    )
				    ,
			      array('driver'=>'smtp',
				    'host'=>'localhost',
				    'port'=>25,
				    'auth'=>false,
				    'username'=>'',
				    'password'=>'',
				    )
			      );

function get_site_message($name)
{
  return sql_select1('site_messages','*',"name='$name'");
}

function site_message_filter_item(&$item,&$filters)
{
  foreach($filters as $key => $val)
    $item= str_replace("%$key%",$val,$item);
}

function site_message_filter(&$message, &$filters)
{
  site_message_filter_item($message->mail_to,$filters);
  site_message_filter_item($message->mail_cc,$filters);
  site_message_filter_item($message->mail_subject,$filters);
  site_message_filter_item($message->message,$filters);
}

function site_message($name,&$filters)
{
  global $mail_queue;

  $message= get_site_message($name);

  site_message_filter($message,$filters);

//  $mail =& Mail::factory('mail');

  $recipients= $message->mail_to;
  if($message->mail_cc)
    $receipients.=$message->mail_cc;

  $headers['From'] = $config['from'];
  $headers['To'] = $message->mail_to;
  $headers['Cc'] = $message->mail_cc;
  $headers['Subject'] = $message->mail_subject;

  $mail_queue->put($config['from'],
		   $recipients,
		   $headers,
		   $message->message,
		   0,
		   false
		   );
}

?>
